/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit;

import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

import org.w3c.dom.DocumentFragment;

public class EndpointMock implements ServiceEndpoint {

    private final QName[] interfaces;

    private final QName serviceName;

    private final String endpointName;

    public EndpointMock(final QName[] interfaces, final QName serviceName, final String endpointName) {
        this.interfaces = interfaces;
        this.serviceName = serviceName;
        this.endpointName = endpointName;
    }

    @Override
    public DocumentFragment getAsReference(final QName arg0) {
        return null;
    }

    @Override
    public String getEndpointName() {
        return this.endpointName;
    }

    @Override
    public QName[] getInterfaces() {
        return this.interfaces;
    }

    @Override
    public QName getServiceName() {
        return this.serviceName;
    }

}
