/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit.monitoring.container.transporter.local;

import org.ow2.petals.jmx.api.api.monitoring.container.transporter.local.DeliveredMessages;
import org.ow2.petals.jmx.api.api.monitoring.container.transporter.local.LocalTransporterMonitoringServiceClient;
import org.ow2.petals.jmx.api.api.monitoring.container.transporter.local.exception.LocalTransporterMonitoringServiceErrorException;

/**
 * A mock of {@link LocalTransporterMonitoringServiceClient} for unit testing
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class LocalTransporterMonitoringServiceClientMock implements LocalTransporterMonitoringServiceClient {

    private DeliveredMessages deliveredMessages = new DeliveredMessagesMock(0l, 0l, 0l);

    public void setDeliveredMessagesMetrics(final DeliveredMessages deliveredMessages) {
        this.deliveredMessages = deliveredMessages;
    }

    @Override
    public DeliveredMessages getDeliveredMessage() throws LocalTransporterMonitoringServiceErrorException {
        return this.deliveredMessages;
    }

}
